Subject: Re: [Bitcoin-development] BIP for Proof of Payment

From: Kalle Rosenbaum <[email-masked]>
Date: Sat, 6 Jun 2015 23:25:02 +0200

Thank you all for the feedback.

I will change the data structure as follows:

* There will be only one output, the "pop output", and no outputs from
T will be copied to the PoP.
* The pop output will have value 0.
* The sequence number of all inputs of the PoP will be set to 0. I
chose to set it to 0 for all inputs for simplicity.
* The lock_time of the PoP is always set to 499999999.

Any comments on this?

/Kalle

2015-06-06 19:00 GMT+02:00 Kalle Rosenbaum <[email-masked]>:
> 2015-06-06 18:10 GMT+02:00 Tom Harding <[email-masked]>:
>> On Jun 6, 2015 8:05 AM, "Kalle Rosenbaum" <[email-masked]> wrote:
>>
>>> I'm open to changes here.
>>
>> I suggest:
>>
>> - Don't include any real outputs.   They are redundant because the txid is
>> already referenced.
>
> with the nLocktime solution, the copied outputs are not needed.
>
>>
>> - Start the proof script, which should be invalid, with a magic constant and
>> include space for future expansion.  This makes PoP's easy to identify and
>> extend.
>
> I did remore the constant (a "PoP" literal ascii encoded string)
> because it didn't add much. The recipient will expect a pop, so it
> will simply treat it as one. I did add a 2 byte version field to make
> it extendable.
>
>>
>> - "Proof of Potential"
>
> Noted :-)
>
> Thank you
> /Kalle